BANK KALTENG - Feature #3621

Appraiser ingin bisa ditambahkan sendiri oleh user
05/19/2025 01:00 PM - haykal haykal

Status: Deploy Start date: 05/19/2025
Priority: High Due date: 05/23/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 11.00 hours
Description

Dear Azid,

Untk bagian Appraiser di form ESS tlg agar ditambahkan button Add ya. Jadi ada keinginan dari user untk bisa memilih sendiri
Appraisernya.

Terimakasih.
Menu Path: My Workplace > Performance Management > Performance Goal Setting, Performance Review, Performance Final

Port: http://remote.minovais.com:61133/
DB: MinovaES_BankKalteng_BaseServerProd

History

#1 - 05/19/2025 03:24 PM - Kezia Pawitra Yulianti
- Due date set to 05/23/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 05/20/2025 04:14 PM - haykal haykal

- Description updated

#3 - 05/21/2025 02:40 PM - M Azid Wahyudi

untuk ini ,, apakah nambah doang atau edit juga ?
kalau nambah aja cuman Add tapi kalau udah ada data appraisernya cuman pertama aja yang approve
kalau edit fleksibel gimana maunya appraisernya tinggal di tambahin btn delete aja

#4 - 05/21/2025 05:03 PM - haykal haykal

Jid jadinya seperti berikut ya:

-Ada button Add tapi dibikin logic validasi cuma bisa satu kali
-Tidak perlu ada button Delete

-Di form Approver tidak perlu ada button add (non-editable)
-Autoload dari OM dimatikan saja

#5 - 05/21/2025 05:10 PM - Kezia Pawitra Yulianti

-Ada button Add tapi dibikin logic validasi cuma bisa satu kali - mksdnya hanya bisa add 1 appraiser sesuai dgn task approvalnya hanya 1 khan?
-Tidak perlu ada button Delete

-Di form Approver tidak perlu ada button add (non-editable) - boleh di info nama task nya apa

-Autoload dari OM dimatikan saja - ini udah di konfirmasi ke mas daud belum Kal?

#6 - 05/21/2025 05:39 PM - haykal haykal

-Ada button Add tapi dibikin logic validasi cuma bisa satu kali - mksdnya hanya bisa add 1 appraiser sesuai dgn task approvalnya hanya 1 khan? Ilya
-Tidak perlu ada button Delete

-Di form Approver tidak perlu ada button add (non-editable) - boleh di info nama task nya apa apv_ds

-Autoload dari OM dimatikan saja - ini udah di konfirmasi ke mas daud belum Kal? Sudah

#7 - 05/21/2025 05:40 PM - haykal haykal

Button Add di Performance Review dan Perfomance Final tidak perlu ya jid.
Terimakasih.

#8 - 05/22/2025 02:36 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal
dear haykal , udah bisa di test

note : untuk validasi bikin redmine terpisah aja khusus validasi

package :
bizproc (afterrender & init)

makasih

#9 - 05/23/2025 02:59 PM - haykal haykal

- File Appraisal ID tidak bisa dipilih.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to M Azid Wahyudi
Jid, button Addnya sudah muncul.

Tapi Appraiser ID nya gakbisa dipilih. (Tadinya Search Type 0 gakbisa diklik apa-apa. Lalu Search Type gua ganti menjadi 3 supaya muncul icon
Search tapi masih tetep gakbisa dipilih)

Tolong bantu perbaiki ya.

Terimakasih.

#10 - 05/26/2025 02:55 PM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal
udah bisa di tes

package :

Xtype : (targetField_ != "AppraisalD_48")
Ext.define('MinovaES.view.orm.lookup.minovalookuptreePopup'
Ext.define('MinovaUtil. MinovaES.MinovaLookupTree',
sdatatablefield (searchType = 4)

custparam (PMSfillAppraiserG)

bizproc(init & method)

makasih

#11 - 06/10/2025 01:50 PM - haykal haykal

- File PIC di Workflow Report belum sesuai dengan Appraiser yg dipilih di form ESS.png added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to M Azid Wahyudi

Jid, untk Appraiser udh bisa ditambahin dan milih sendiri

Cuma ada problem.

PIC yg muncul di Workflow Report tidak sesuai dengan Appraiser yg dipilih di form ESS (foto diattach).

Jadi tadi saya pilih Appraisernya Lina Agustina (00000974) di form ESS, tapi PIC yg muncul di Workflow Reportnya berbeda (tampaknya masih
membaca dari OM).

Tolong diperbaiki ya.

Requester: 00000047
ReqID: 1384102

07/02/2025 2/4



#12 - 06/10/2025 02:14 PM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal
dear haykal , udah bisa di test

package :
custparam(DirectSpvPMSNEW)

makasih
#13 - 06/11/2025 05:11 PM - haykal haykal
- File Tambahkan button Add di Review dan Final.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to M Azid Wahyudi

Jid, ada revisi ya.

Untk yg di Review dan Final juga ingin ditambahkan button Add.
Terimakasih.

#14 - 06/12/2025 02:07 PM - haykal haykal

Jadi kalau secara flow,

Goal Setting - 1 DS

Review - 2 DS
Final - 2 DS

Makanya perlu ditambahkan button Add di Review dan Final.

Appraiser yg ada di row pertama itu artinya DS1 (apv_ds)
Appraiser yg ada di row kedua itu artinya DS2 (apv_nha)

Tolong dibikin seperti itu ya, dan nanti Appraiser yg dipilih di form ESS adalah yg menjadi PIC di Workflow Report
Terimakasih.

#15 - 06/18/2025 01:38 PM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal

dear haykal , udah bisa di test

package :

bizproc (init,method)

custparam (PMSADDAppraiser,PMSADD48,PMSQUALCOMNEW,DirectSpvPMSDS1,DirectSpvPMSDS2)
makasih

#16 - 06/19/2025 04:24 PM - haykal haykal

- File Foto 1 Appraiser ke-2.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to M Azid Wahyudi

Jid di Final bim ya?

Tadi Appraiser 2 nya sudah saya pilih di form (EmployeelD 00000616). Tapi di Workflow Reportnya tidak muncul PIC sesuai dengan Appraiser 2
tersebut.

Tolong bantu dicek dan diperbaiki ya.

Requester: 00000855
ReqID: 1384113
Terimakasih.

#17 - 06/19/2025 04:41 PM - M Azid Wahyudi
- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal

iya ketinggalan , udah bisa di test lagi

package :
deftask

makasih
#18 - 07/01/2025 01:38 PM - haykal haykal

- Status changed from QA Test to Deploy
- Assignee changed from haykal haykal to M Azid Wahyudi

Udh Ok

Files

Appraiser bisa ditambahkan sendiri.png 3.05 KB 05/19/2025 haykal haykal
Appraisal ID tidak bisa dipilih.png 4.33 KB 05/23/2025 haykal haykal
PIC di Workflow Report belum sesuai dengan Appraiser yg dipilih di fortd.5EBpng 06/10/2025 haykal haykal
Tambahkan button Add di Review dan Final.png 3.12KB 06/11/2025 haykal haykal
Foto 1 Appraiser ke-2.png 5.81 KB 06/19/2025 haykal haykal
